Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.ui.vole
Class ScrollBar

    java.lang.Object
      jcontrol.ui.vole.Component
          jcontrol.ui.vole.ScrollBar

    public class ScrollBar

extends Component

This class `ScrollBar` implements a graphical scroll bar. The scroll bar can be scrolled manually by e.g. a controllet to realise graphical scrolling. The scroll value range is 0..100.

(c) Copyright 2003-2007 DOMOLOGIC GmbH

Author:
  Marcus Timmermann, Wolfgang Klingauf

Field Summary
`static boolean` | `ORIENTATION_HORIZONTAL` Horizontal scroll bar.
`static boolean` | `ORIENTATION_VERTICAL` Vertical scroll bar.

Fields inherited from class jcontrol.ui.vole.Component
`eventQueue, focusOwner, font, g, height, listener, parent, visible, width, x, y`

Constructor Summary
`ScrollBar(int x, int y, int size, boolean orientation)` Constructs a new scroll bar.

Method Summary
`void` | `paint()` Repaint the ScrollBar.
`void` | `setValue(int value)` Sets a new scroll value in percent and repaints the scrollbar.
`boolean` | `transferFocus()` We never gain the input focus.

Methods inherited from class jcontrol.ui.vole.Component
`getBounds, getParent, isVisible, onActionEvent, onKeyEvent, remove, removeFocus, requestFocus, setBounds, setFont, setGraphics, setParent, setVisible, validate`

Methods inherited from class java.lang.Object
`clone, equals, notifyAll, wait`

Field Detail

### ORIENTATION_HORIZONTAL

    public static final boolean ORIENTATION_HORIZONTAL

  Horizontal scroll bar.

  See Also:
    Constant Field Values

### ORIENTATION_VERTICAL

    public static final boolean ORIENTATION_VERTICAL

  Vertical scroll bar.

  See Also:
    Constant Field Values

Constructor Detail

### ScrollBar

    public ScrollBar(int x,
                     int y,
                     int size,
                     boolean orientation)

  Constructs a new scroll bar.

  Parameters:
    `x` - the upper left x coordinate.
    `y` - the upper left y coordinate.
    `size` - the size in pixels (at least 23).
    `orientation` - ORIENTATION_HORIZONTAL or ORIENTATION_VERTICAL.

Method Detail

### paint

    public void paint()

  Repaint the ScrollBar.

  Overrides:
    `paint` in class `Component`

### setValue

    public void setValue(int value)

  Sets a new scroll value in percent and repaints the scrollbar.

  Parameters:
    `value` - The new scroll value

### transferFocus

    public boolean transferFocus()

  We never gain the input focus.

  Overrides:
    `transferFocus` in class `Component`
  Returns:
    true, if the focus was transferred successfully.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD